XFcPrimitiveDrawImageFiller class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawImageFiller Class Reference

Basic image filler, doesn't support tiling or transformations of the source image. More...

Inheritance diagram for XFcPrimitiveDrawImageFiller:

[legend]
Collaboration diagram for XFcPrimitiveDrawImageFiller:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcPrimitiveDrawImageFiller ()
| Virtual destructor.
virtual XFCIMPORT void | setFillImage (XFcGLSurface *aFillImage)
| Sets the image to be used for filling.
virtual XFCIMPORT void | setFillOffset (INT32 aXOffset, INT32 aYOffset)
| Sets the offset (in relation to the top left corner of the screen) where to draw the image.
virtual XFCIMPORT void | initFill ()
| Initializes the filler for rendering.
virtual XFCIMPORT void | deinitFill ()
| Deinitializes the filler after rendering.
virtual XFCIMPORT void | fill (INT32 aXStart, INT32 aXEnd, INT32 aY, UINT32 *aScanline)

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawImageFiller * | create (XFcGLSurface *aFillImage, INT32 aXOffset, INT32 aYOffset)
| Creates the image filler.

## Protected Member Functions

| XFcPrimitiveDrawImageFiller ()
| Protected constructor.

## Protected Attributes

XFcGLSurface * | mFillImage
UINT8 * | mFillBuffer
INT32 | mFillPitch
INT32 | mXOffset
INT32 | mYOffset
INT32 | mFillWidth
INT32 | mFillHeight
INT32 | mFillFormat

## Detailed Description

Basic image filler, doesn't support tiling or transformations of the source image.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcPrimitiveDrawImageFiller::~XFcPrimitiveDrawImageFiller | ( |  | ) | `[virtual]`

| Virtual destructor.

XFcPrimitiveDrawImageFiller::XFcPrimitiveDrawImageFiller | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT XFcPrimitiveDrawImageFiller* XFcPrimitiveDrawImageFiller::create | ( | XFcGLSurface * | aFillImage,
|  | INT32 | aXOffset,
|  | INT32 | aYOffset
| ) | `[static]`

| Creates the image filler.

virtual XFCIMPORT void XFcPrimitiveDrawImageFiller::deinitFill | ( |  | ) | `[virtual]`

| Deinitializes the filler after rendering. This should be called after calling fill() for the last filled span. Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawImageFiller::fill | ( | INT32 | aXStart,
|  | INT32 | aXEnd,
|  | INT32 | aY,
|  | UINT32 * | aScanline
| ) | `[virtual]`

| Fills aLength PREMULA8R8G8B8 pixels to a scanline. param aXStart the starting position on the scanline param aXEnd the ending position on the scanline param aY the y position of the scanline param aScanline the start of the scanline Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawImageFiller::initFill | ( |  | ) | `[virtual]`

| Initializes the filler for rendering. This should be called before calling fill() for the first filled span. Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawImageFiller::setFillImage | ( | XFcGLSurface * | aFillImage | ) | `[virtual]`

| Sets the image to be used for filling. Note that the image is not copied, so it shoudn't be modified or deleted until the fill operation is done.

virtual XFCIMPORT void XFcPrimitiveDrawImageFiller::setFillOffset | ( | INT32 | aXOffset,
|  | INT32 | aYOffset
| ) | `[virtual]`

| Sets the offset (in relation to the top left corner of the screen) where to draw the image.

## Member Data Documentation

UINT8* XFcPrimitiveDrawImageFiller::mFillBuffer`[protected]`

INT32 XFcPrimitiveDrawImageFiller::mFillFormat`[protected]`

INT32 XFcPrimitiveDrawImageFiller::mFillHeight`[protected]`

XFcGLSurface* XFcPrimitiveDrawImageFiller::mFillImage`[protected]`

INT32 XFcPrimitiveDrawImageFiller::mFillPitch`[protected]`

INT32 XFcPrimitiveDrawImageFiller::mFillWidth`[protected]`

INT32 XFcPrimitiveDrawImageFiller::mXOffset`[protected]`

INT32 XFcPrimitiveDrawImageFiller::mYOffset`[protected]`

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch